gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Recent.RecentChooserWidget

Contents

- Detail
- Class Hierarchy
- Types
- Constructors

Description

Displays recently used files

- Module available since Gtk+ version 2.10

Synopsis

- data RecentChooserWidget
- class VBoxClass o => RecentChooserWidgetClass o
- castToRecentChooserWidget :: GObjectClass obj => obj -> RecentChooserWidget
- toRecentChooserWidget :: RecentChooserWidgetClass o => o -> RecentChooserWidget
- recentChooserWidgetNew :: IO RecentChooserWidget
- recentChooserWidgetNewForManager :: RecentManagerClass manager => manager -> IO RecentChooserWidget

# Detail

`RecentChooserWidget` is a widget suitable for selecting recently used files. It is the main building block of a `RecentChooserDialog`. Most applications will only need to use the latter; you can use `RecentChooserWidget` as part of a larger window if you have special needs.

Note that `RecentChooserWidget` does not have any methods of its own. Instead, you should use the functions that work on a `RecentChooser`.

Recently used files are supported since Gtk+ 2.10.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----Box
    | +----VBox
    | +----RecentChooserWidget

# Types

data RecentChooserWidget Source #

#### Instances

Instances details

Eq RecentChooserWidget Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: RecentChooserWidget -> RecentChooserWidget -> Bool Source # (/=) :: RecentChooserWidget -> RecentChooserWidget -> Bool Source #
Ord RecentChooserWidget Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: RecentChooserWidget -> RecentChooserWidget -> Ordering Source #

(<) :: RecentChooserWidget -> RecentChooserWidget -> Bool Source #

(<=) :: RecentChooserWidget -> RecentChooserWidget -> Bool Source #

(>) :: RecentChooserWidget -> RecentChooserWidget -> Bool Source #

(>=) :: RecentChooserWidget -> RecentChooserWidget -> Bool Source #

max :: RecentChooserWidget -> RecentChooserWidget -> RecentChooserWidget Source #

min :: RecentChooserWidget -> RecentChooserWidget -> RecentChooserWidget Source #

GObjectClass RecentChooserWidget Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: RecentChooserWidget -> GObject Source # unsafeCastGObject :: GObject -> RecentChooserWidget Source #
BoxClass RecentChooserWidget Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ContainerClass RecentChooserWidget Source # |
Instance details Defined in Graphics.UI.Gtk.Types
RecentChooserWidgetClass RecentChooserWidget Source # |
Instance details Defined in Graphics.UI.Gtk.Types
VBoxClass RecentChooserWidget Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass RecentChooserWidget Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class VBoxClass o => RecentChooserWidgetClass o Source #

#### Instances

Instances details

RecentChooserWidgetClass RecentChooserWidget Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToRecentChooserWidget :: GObjectClass obj => obj -> RecentChooserWidget Source #

toRecentChooserWidget :: RecentChooserWidgetClass o => o -> RecentChooserWidget Source #

# Constructors

recentChooserWidgetNew :: IO RecentChooserWidget Source #

Creates a new `RecentChooserWidget` object. This is an embeddable widget used to access the recently used resources list.

recentChooserWidgetNewForManager Source #

Arguments

:: RecentManagerClass manager |
=> manager | `manager` - a `RecentManager`
-> IO RecentChooserWidget | returns a new `RecentChooserWidget`

Creates a new `RecentChooserWidget` with a specified recent manager.

This is useful if you have implemented your own recent manager, or if you have a customized instance of a `RecentManager` object.